<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!preg_match('#mail\.php#',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));


if (!isset($_GET['id'])){header("Location: /konts.php?".SID);exit;}
$ank=get_user($_GET['id']);
if (!$ank){header("Location: /konts.php?".SID);exit;}


$set['title']='Переписка с '.$ank['nick'];
include_once 'sys/inc/thead.php';
title();



// добавляем в контакты
if ($user['add_konts']==2 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0)==0)
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
// обновление сведений о контакте
mysql_query("UPDATE `users_konts` SET `new_msg` = '0' WHERE `id_kont` = '$ank[id]' AND `id_user` = '$user[id]' LIMIT 1");
// помечаем сообщения как прочитанные
mysql_query("UPDATE `mail` SET `read` = '1' WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'");


if (isset($_POST['msg']) && $ank['id']!=0)
{


$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024)$err[]='Сообщение превышает 1024 символа';
if (strlen2($msg)<2)$err[]='Слишком короткое сообщение';

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (!isset($err) && mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `time` > '".($time-360)."' AND `msg` = '".my_esc($msg)."'"),0)==0)
{
// отправка сообщения
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$ank[id]', '".my_esc($msg)."', '$time')");
// добавляем в контакты
if ($user['add_konts']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0)==0)
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
// обновление сведений о контакте
mysql_query("UPDATE `users_konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");
msg('Сообщение успешно отправлено');
}
}

err();
echo "<div class='linegreen1'>";
echo "<a href='/mail.php?id=$ank[id]/".rand(1000,9999)."/'>Обновить</a> | \n";
echo "<a href='/smiles/index.php'>Смайлы</a> |\n";
echo "<a href='/mailbest.php'>Избранное</a>\n";
echo "</div>\n";
echo '</td><td class="textmes">';

//if($user['balls']>=0 && $user['balls']<=50)echo "<div class='hello'> Анти-спам система! писать письма Вы сможете после того как наберете 50 LM,пока что Вы можете только читать письма!</div>";
//if (isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=50 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
//{
echo "<form method='post' name='message' action='/mail.php?id=$ank[id]&amp;$passgen'>\n";
echo "<div class='textmes'>"; 
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "<input name=\"msg\" type=\"text\" maxlength='200' value='' />\n";

echo "<input type='submit' value='OK' /><br/>\n";
echo "</form>\n";
echo "</div>\n";
echo "<table class='post'>\n";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='komm'>\n";
echo "Нет сообщений\n";
echo "  </td>\n";
echo "   </tr>\n";

}
$q=mysql_query("SELECT * FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
$ank2=get_user($post['id_user']);
echo "   <tr>\n";
echo "  <td class='line'>\n";
avatar4($ank2['id']);

echo "".online($ank2['id'])." <a href=\"/info.php?id=$ank2[id]\"><span style=\"color:$ank2[ncolor]\">$ank2[nick]</span></a><br/>\n";
if ($post['read']==0)echo "<img src='/style/img/mail_ne.png'></img> <font color='red'>не прочитано</font><br />\n";
if ($post['read']==1)echo "<img src='/style/img/mail_pr.png'></img> <font color='#3c4441'>прочитано</font><br />\n";
echo "  </td>\n";
echo "   </tr>\n";

echo "<td class='helloi' colspan='2'>\n";
echo "<span style=\"color:$ank2[mcolor]\">\n";
echo output_text($post['msg'])."\n";
echo "</span>\n";
echo " <div style='text-align: right;'><font color='#3c4441'>".vremja($post['time'])."</font>\n";
echo "<a href=\"/mailbest.php?id=$post[id]\"><img src='/style/img/006.png'></img></a> \n";
echo '<a href="delete.php?id='.$post[id].'"><img src="/style/img/005.png"></img></a></div>';
echo "  </td>\n";
echo "   </tr>\n";






}
echo "</table>\n";
if ($k_page>1)str("mail.php?id=$ank[id]&amp;",$k_page,$page); // Вывод страниц




echo "<div class='royal'>";

if ($ank['id']!=0)
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==1)
{
$kont=mysql_fetch_array(mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"));
echo "<img src='/style/img/delete_user.png'></img> <a href='/konts.php?type=$kont[type]&amp;act=del&amp;id=$ank[id]'><font color='black'>Удалить контакт из списка</font></a><br />\n";
}
else
{
echo "<img src='/style/img/userd.png'></img> <a href='/konts.php?type=common&amp;act=add&amp;id=$ank[id]'><font color='black'>Добавить в список контактов</font></a><br />\n";
}
}

echo "<img src='/style/img/kont.png'></img> <a href='/konts.php?".(isset($kont)?'type='.$kont['type']:null)."'><font color='black'>Список контактов</font></a><br />\n";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
?>